Subject: Re: bug#55016: 28.1; xref-find-references finds no matches if project dir contains a space

From: Peter Povinec <[email-masked]>
Date: Tue, 26 Apr 2022 20:00:59 -0700

On Tue, Apr 26, 2022 at 5:30 AM Dmitry Gutov <[email-masked]> wrote:
>
> On 26.04.2022 14:18, Eli Zaretskii wrote:
> > I'm curious what does Dmitry think about this consequence of the
> > change.
>
> I think Peter is saying that the patch made the file names displayed in
> the abbreviated form, not vice versa.
>
> Which seems like a good change (more compact display).

That's right, with the patch, the filenames start with "~/".

I actually like that change too, but I am curious if there is an
Emacs wide design guideline on such a thing.
It seems that the behavior varies from place to place.
E.g. when I
'C-x C-f' /Users/spepo42/test.txt
it shows up as  "~/test.txt" in the buffer list.
On the other hand, when I
'C-x C-f' ~/
dired tells me in the header line it is looking at
/Users/spepo42, but shows "~/" in the buffer list...